View Issue Details

IDProjectCategoryView StatusLast Update
0016977CentOS-8NetworkManagerpublic2020-02-10 11:46
Reporter500 
PrioritynormalSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version8.1.1911 
Target VersionFixed in Version 
Summary0016977: Network Manager can't connect to eduroam wireless network
DescriptionI can not connect my machine to my universities wireless eduroam network (eduroam is a worldwide standard for wifi at universities, see https://www.eduroam.org/), neither following my institutions guidelines, nor using the eduroam configuration assistant tool (https://cat.eduroam.org/ , a python script that sets up network manager to connect to eduroam and imports the needed certificate).

When trying to connect, network manager to stays at "connecting" for about a minute and then tells me my user id and/or password are wrong, but I have triple checked them to be correct.

My local IT department checked the steps described above and confirmed me that they should work, so there's probably something wrong with my "exotic" operating system, but they're a windows shop, so they don't know more.
Additional InformationObviously, the above is pretty vague. Please do tell me what additional info is needed (logs, how can I get network manager to be more verbose, etc.?)

The hardware itself should be OK. I can access my home network (WPA2) and my previous OS on this hardware (Fedora 27) had access to eduroam.

In my attempts in figuring out what's happening I found this reddit thread (https://www.reddit.com/r/Fedora/comments/bh5lcq/cannot_connect_to_eduroam_university_network/) with a similar issue. Apparently, wpa_supplicant 2.7 is known to cause issues with eduroam (though, no source for that) and CentOS indeed has 2.7, whereas my previous Fedora27 ought to have had the earlier 2.6 version, which did work. Maybe the bug lies within that library?
TagsNo tags attached.

Activities

dpenezic

dpenezic

2020-02-01 08:54

reporter   ~0036173

Hi,
I may confirm that issue exist like was described bellow (work on CentOS 7 with Gnome , but not on CentOS 8 with Gnome), basically RADIUS authentication server complain via TLS session that is not possible to recognize certificate which is very unusual.
Also I may confirm that TLS tunnel on EAP-TTLS/PAP scenario work correctly without checking server certificate which is unsecure way of authentication on eduroam, but confirm that TLS tunnel work correctly.
It is not connect to CAT tools (cat.eduroam.org), i check via CAT, via our own installer tool , manually configure via NetworkManager, and even copy NetworkManager script from CentOS 7 .
sw

sw

2020-02-02 07:35

reporter   ~0036175

For these kinds of issues, it is always useful to know which eduroam participant organisation you are talking about. I know dpenezic's and will contact him offline for debug logs etc. But for "500": what is the realm of your eduroam username? That is the part after the @ character.
500

500

2020-02-02 09:53

reporter   ~0036176

Well, good to know (or rather, not) that I'm not just stupid…
My organization is @uni-graz.at.
I continued my own investigations, and tried to connect manually with a handwritten wpa_supplicant.conf, constructed along https://www.lrz.de/services/netz/mobil/802_1x/802_1x-linux/ and https://wiki.ubuntuusers.de/WLAN/wpa_supplicant/ (German only, sorry). The gist of it is that I wrote the attached wpa_supplicant.conf, using the cert from the cat installer, and then I produced the attached log by running

wpa_supplicant -i wlp4s0 -c /etc/wpa_supplicant/wpa_supplicant.conf -d >/home/myuser/bin/log.txt

for about two minutes, after having killall'd wpa_supplicant and dhclient. Ubuntuusers suggests testing it with iwconfig, but that doesn't exist on centos, so I skipped it and went straight for activating it with

wpa_supplicant -B -i wlp4s0 -c /etc/wpa_supplicant/wpa_supplicant.conf

and then dhclient wlp4s0 according to lrz.de. dhclient takes about a minute and then just exits silently, but I don't have any connection.

I looked through the log, but that stuff is far beyond my area of expertise. At line 348, it seems like it's trying to authenticate me, and even sounds successfull

nl80211: Authentication request send successfully

and then there's even some more positive sounding things like

wlp4s0: State: AUTHENTICATING -> ASSOCIATING

wlp4s0: State: ASSOCIATING -> ASSOCIATED

followed by a whole bunch of EAP and SSL stuff, which I'd guess is the authentication part, but at line 602 I get

EAP: Received EAP-Failure

followed by all kinds of FAIL and failure messages, and then it seems to me like the whole process starts again, until I killed it with CTRL+C at some point.

Is this helpful? Do you need more/different logs/info?

log_redacted.txt (122,881 bytes)
wpa_supplicant v2.7
random: Trying to read entropy from /dev/random
Successfully initialized wpa_supplicant
Initializing interface 'wlp4s0' conf '/etc/wpa_supplicant/wpa_supplicant.conf' driver 'default' ctrl_interface 'N/A' bridge 'N/A'
Configuration file '/etc/wpa_supplicant/wpa_supplicant.conf' -> '/etc/wpa_supplicant/wpa_supplicant.conf'
Reading configuration file '/etc/wpa_supplicant/wpa_supplicant.conf'
ctrl_interface='/var/run/wpa_supplicant'
ctrl_interface_group='wheel'
Priority group 0
   id=0 ssid='eduroam'
nl80211: TDLS supported
nl80211: TDLS external setup
nl80211: Supported cipher 00-0f-ac:1
nl80211: Supported cipher 00-0f-ac:5
nl80211: Supported cipher 00-0f-ac:2
nl80211: Supported cipher 00-0f-ac:4
nl80211: Supported cipher 00-0f-ac:6
nl80211: Using driver-based off-channel TX
nl80211: TDLS channel switch
nl80211: Driver-advertised extended capabilities (default) - hexdump(len=8): 04 00 00 00 00 00 00 40
nl80211: Driver-advertised extended capabilities mask (default) - hexdump(len=8): 04 00 00 00 00 00 00 40
nl80211: Use separate P2P group interface (driver advertised support)
nl80211: Enable multi-channel concurrent (driver advertised support)
nl80211: use P2P_DEVICE support
nl80211: interface wlp4s0 in phy phy0
nl80211: Set mode ifindex 4 iftype 2 (STATION)
nl80211: Subscribe to mgmt frames with non-AP handle 0x55e2c0c9c860
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=040a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=040b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=040c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=040d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=090a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=090b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=090c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=090d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=0409506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=7f506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=06
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=0a07
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=0a11
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=1101
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=1102
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=0505
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0c9c860 match=0500
rfkill: initial event: idx=2 type=1 op=0 soft=0 hard=0
netlink: Operstate: ifindex=4 linkmode=1 (userspace-control), operstate=5 (IF_OPER_DORMANT)
Add interface wlp4s0 to a new radio phy0
nl80211: Regulatory information - country=AT
nl80211: 2402-2437 @ 40 MHz 22 mBm
nl80211: 2422-2462 @ 40 MHz 22 mBm
nl80211: 2447-2482 @ 40 MHz 22 mBm
nl80211: 5170-5190 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5190-5210 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5210-5230 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5230-5250 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5250-5270 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5270-5290 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5290-5310 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5310-5330 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5490-5510 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5510-5530 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5530-5550 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5550-5570 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5570-5590 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5590-5610 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5610-5630 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5630-5650 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5650-5670 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5670-5690 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5690-5710 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5710-5730 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5735-5755 @ 80 MHz 22 mBm (no IR)
nl80211: 5755-5775 @ 80 MHz 22 mBm (no IR)
nl80211: 5775-5795 @ 80 MHz 22 mBm (no IR)
nl80211: 5795-5815 @ 80 MHz 22 mBm (no IR)
nl80211: 5815-5835 @ 20 MHz 22 mBm (no IR)
nl80211: Added 802.11b mode based on 802.11g information
wlp4s0: Own MAC address: 5e:6b:e1:17:5d:95
wpa_driver_nl80211_set_key: ifindex=4 (wlp4s0) alg=0 addr=(nil) key_idx=0 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=4 (wlp4s0) alg=0 addr=(nil) key_idx=1 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=4 (wlp4s0) alg=0 addr=(nil) key_idx=2 set_tx=0 seq_len=0 key_len=0
wpa_driver_nl80211_set_key: ifindex=4 (wlp4s0) alg=0 addr=(nil) key_idx=3 set_tx=0 seq_len=0 key_len=0
wlp4s0: RSN: flushing PMKID list in the driver
nl80211: Flush PMKIDs
wlp4s0: WPS: UUID based on MAC address: f80ef01f-c6ca-5f7d-8643-796ab81bf355
ENGINE: Loading dynamic engine
ENGINE: Loading dynamic engine
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: KEY_RX entering state NO_KEY_RECEIVE
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
ctrl_interface_group=10 (from group name 'wheel')
wlp4s0: Added interface wlp4s0
wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
nl80211: Create interface iftype 10 (P2P_DEVICE)
nl80211: New P2P Device interface p2p-dev-wlp4s0 (0x14) created
Initializing interface 'p2p-dev-wlp4s0' conf '/etc/wpa_supplicant/wpa_supplicant.conf' driver 'nl80211' ctrl_interface '/var/run/wpa_supplicant' bridge 'N/A'
Configuration file '/etc/wpa_supplicant/wpa_supplicant.conf' -> '/etc/wpa_supplicant/wpa_supplicant.conf'
Reading configuration file '/etc/wpa_supplicant/wpa_supplicant.conf'
ctrl_interface='/var/run/wpa_supplicant'
ctrl_interface_group='wheel'
Priority group 0
   id=0 ssid='eduroam'
nl80211: TDLS supported
nl80211: TDLS external setup
nl80211: Supported cipher 00-0f-ac:1
nl80211: Supported cipher 00-0f-ac:5
nl80211: Supported cipher 00-0f-ac:2
nl80211: Supported cipher 00-0f-ac:4
nl80211: Supported cipher 00-0f-ac:6
nl80211: Using driver-based off-channel TX
nl80211: TDLS channel switch
nl80211: Driver-advertised extended capabilities (default) - hexdump(len=8): 04 00 00 00 00 00 00 40
nl80211: Driver-advertised extended capabilities mask (default) - hexdump(len=8): 04 00 00 00 00 00 00 40
nl80211: Use separate P2P group interface (driver advertised support)
nl80211: Enable multi-channel concurrent (driver advertised support)
nl80211: use P2P_DEVICE support
nl80211: interface p2p-dev-wlp4s0 in phy phy0
nl80211: Set mode ifindex 0 iftype 10 (P2P_DEVICE)
nl80211: Failed to set interface 0 to mode 10: -22 (Invalid argument)
nl80211: Subscribe to mgmt frames with non-AP handle 0x55e2c0cd0440
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=040a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=040b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=040c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=040d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=090a
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=090b
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=090c
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=090d
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=0409506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=7f506f9a09
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=06
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=0a07
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=0a11
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=1101
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=1102
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=0505
nl80211: Register frame type=0xd0 (WLAN_FC_STYPE_ACTION) nl_handle=0x55e2c0cd0440 match=0500
nl80211: Use (wlp4s0) to initialize P2P Device rfkill
rfkill: initial event: idx=2 type=1 op=0 soft=0 hard=0
nl80211: Start P2P Device p2p-dev-wlp4s0 (0x14): Success
Add interface p2p-dev-wlp4s0 to existing radio phy0
nl80211: Regulatory information - country=AT
nl80211: 2402-2437 @ 40 MHz 22 mBm
nl80211: 2422-2462 @ 40 MHz 22 mBm
nl80211: 2447-2482 @ 40 MHz 22 mBm
nl80211: 5170-5190 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5190-5210 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5210-5230 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5230-5250 @ 80 MHz 22 mBm (no outdoor) (no IR)
nl80211: 5250-5270 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5270-5290 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5290-5310 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5310-5330 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5490-5510 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5510-5530 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5530-5550 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5550-5570 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5570-5590 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5590-5610 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5610-5630 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5630-5650 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5650-5670 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5670-5690 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5690-5710 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5710-5730 @ 80 MHz 22 mBm (DFS) (no IR)
nl80211: 5735-5755 @ 80 MHz 22 mBm (no IR)
nl80211: 5755-5775 @ 80 MHz 22 mBm (no IR)
nl80211: 5775-5795 @ 80 MHz 22 mBm (no IR)
nl80211: 5795-5815 @ 80 MHz 22 mBm (no IR)
nl80211: 5815-5835 @ 20 MHz 22 mBm (no IR)
nl80211: Added 802.11b mode based on 802.11g information
p2p-dev-wlp4s0: Own MAC address: 34:02:86:43:b2:d2
p2p-dev-wlp4s0: RSN: flushing PMKID list in the driver
nl80211: Flush PMKIDs
p2p-dev-wlp4s0: State: DISCONNECTED -> INACTIVE
p2p-dev-wlp4s0: WPS: UUID from the first interface: f80ef01f-c6ca-5f7d-8643-796ab81bf355
ENGINE: Loading dynamic engine
ENGINE: Loading dynamic engine
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: KEY_RX entering state NO_KEY_RECEIVE
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
Using existing control interface directory.
ctrl_interface_group=10 (from group name 'wheel')
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Own listen channel: 81:1
P2P: Random operating channel: 81:1
P2P: initialized
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
p2p-dev-wlp4s0: Added interface p2p-dev-wlp4s0
p2p-dev-wlp4s0: State: INACTIVE -> DISCONNECTED
nl80211: Set p2p-dev-wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=0 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
p2p-dev-wlp4s0: Determining shared radio frequencies (max len 2)
p2p-dev-wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
random: Got 20/20 bytes from /dev/random
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=2 linkmode=1 ifi_family=0 ifi_flags=0x1003 ([UP])
wlp4s0: Starting delayed sched scan
wlp4s0: Use normal scan instead of sched_scan for initial scans (normal_scans=0)
wlp4s0: Setting scan request: 0.000000 sec
wlp4s0: State: DISCONNECTED -> SCANNING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000013 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 10 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000041 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.818666 seconds
nl80211: Received scan results (18 BSSes)
wlp4s0: BSS: Start scan result update 1
wlp4s0: BSS: Add new id 0 BSSID 00:ea:bd:99:53:40 SSID 'eduroam' freq 2437
wlp4s0: BSS: Add new id 1 BSSID 00:ea:bd:99:53:41 SSID 'KFUwireless' freq 2437
wlp4s0: BSS: Add new id 2 BSSID 00:ea:bd:99:53:4f SSID 'eduroam' freq 5320
wlp4s0: BSS: Add new id 3 BSSID 00:ea:bd:99:53:4e SSID 'KFUwireless' freq 5320
wlp4s0: BSS: Add new id 4 BSSID 38:90:a5:82:9b:80 SSID 'eduroam' freq 2462
wlp4s0: BSS: Add new id 5 BSSID 38:90:a5:82:9b:81 SSID 'KFUwireless' freq 2462
wlp4s0: BSS: Add new id 6 BSSID 58:97:bd:cd:ae:8e SSID 'KFUwireless' freq 5660
wlp4s0: BSS: Add new id 7 BSSID 58:97:bd:cd:ae:8f SSID 'eduroam' freq 5660
wlp4s0: BSS: Add new id 8 BSSID 58:97:bd:cd:ae:80 SSID 'eduroam' freq 2437
wlp4s0: BSS: Add new id 9 BSSID 38:90:a5:85:07:21 SSID 'KFUwireless' freq 2437
wlp4s0: BSS: Add new id 10 BSSID 38:90:a5:85:07:20 SSID 'eduroam' freq 2437
wlp4s0: BSS: Add new id 11 BSSID 98:9b:cb:06:1a:be SSID 'TheBodyBalance' freq 2437
wlp4s0: BSS: Add new id 12 BSSID 98:9b:cb:b2:0c:43 SSID 'FRITZ!Box 7582 WH' freq 2442
wlp4s0: BSS: Add new id 13 BSSID 00:ea:bd:99:53:42 SSID 'UNIGRAZguest' freq 2437
wlp4s0: BSS: Add new id 14 BSSID 00:ea:bd:99:53:4d SSID 'UNIGRAZguest' freq 5320
wlp4s0: BSS: Add new id 15 BSSID 38:90:a5:82:9b:82 SSID 'UNIGRAZguest' freq 2462
wlp4s0: BSS: Add new id 16 BSSID 58:97:bd:cd:ae:82 SSID 'UNIGRAZguest' freq 2437
wlp4s0: BSS: Add new id 17 BSSID 38:90:a5:85:07:22 SSID 'UNIGRAZguest' freq 2437
BSS: last_scan_res_used=18/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 0.820049 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: Selecting BSS from priority group 0
wlp4s0: 0: 00:ea:bd:99:53:40 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1011 level=-64 freq=2437 
wlp4s0:    selected based on RSN IE
wlp4s0:    selected BSS 00:ea:bd:99:53:40 ssid='eduroam'
wlp4s0: Considering connect request: reassociate: 0  selected: 00:ea:bd:99:53:40  bssid: 00:00:00:00:00:00  pending: 00:00:00:00:00:00  wpa_state: SCANNING  ssid=0x55e2c0c9ce10  current_ssid=(nil)
wlp4s0: Request association with 00:ea:bd:99:53:40
wlp4s0: No ongoing scan/p2p-scan found to abort
wlp4s0: Add radio work 'sme-connect'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (18 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 1
p2p-dev-wlp4s0: BSS: Add new id 0 BSSID 00:ea:bd:99:53:40 SSID 'eduroam' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 1 BSSID 00:ea:bd:99:53:41 SSID 'KFUwireless' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 2 BSSID 00:ea:bd:99:53:4f SSID 'eduroam' freq 5320
p2p-dev-wlp4s0: BSS: Add new id 3 BSSID 00:ea:bd:99:53:4e SSID 'KFUwireless' freq 5320
p2p-dev-wlp4s0: BSS: Add new id 4 BSSID 38:90:a5:82:9b:80 SSID 'eduroam' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 5 BSSID 38:90:a5:82:9b:81 SSID 'KFUwireless' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 6 BSSID 58:97:bd:cd:ae:8e SSID 'KFUwireless' freq 5660
p2p-dev-wlp4s0: BSS: Add new id 7 BSSID 58:97:bd:cd:ae:8f SSID 'eduroam' freq 5660
p2p-dev-wlp4s0: BSS: Add new id 8 BSSID 58:97:bd:cd:ae:80 SSID 'eduroam' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 9 BSSID 38:90:a5:85:07:21 SSID 'KFUwireless' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 10 BSSID 38:90:a5:85:07:20 SSID 'eduroam' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 11 BSSID 98:9b:cb:06:1a:be SSID 'TheBodyBalance' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 12 BSSID 98:9b:cb:b2:0c:43 SSID 'FRITZ!Box 7582 WH' freq 2442
p2p-dev-wlp4s0: BSS: Add new id 13 BSSID 00:ea:bd:99:53:42 SSID 'UNIGRAZguest' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 14 BSSID 00:ea:bd:99:53:4d SSID 'UNIGRAZguest' freq 5320
p2p-dev-wlp4s0: BSS: Add new id 15 BSSID 38:90:a5:82:9b:82 SSID 'UNIGRAZguest' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 16 BSSID 58:97:bd:cd:ae:82 SSID 'UNIGRAZguest' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 17 BSSID 38:90:a5:85:07:22 SSID 'UNIGRAZguest' freq 2437
BSS: last_scan_res_used=18/32
wlp4s0: Starting radio work 'sme-connect'@0x55e2c0cd69c0 after 0.000300 second wait
wlp4s0: WPA: clearing own WPA/RSN IE
wlp4s0: Automatic auth_alg selection: 0x1
RSN: PMKSA cache search - network_ctx=(nil) try_opportunistic=0 akmp=0x0
RSN: Search for BSSID 00:ea:bd:99:53:40
RSN: No PMKSA cache entry found
wlp4s0: RSN: using IEEE 802.11i/D9.0
wlp4s0: WPA: Selected cipher suites: group 16 pairwise 16 key_mgmt 1 proto 2
wlp4s0: WPA: clearing AP WPA IE
WPA: set AP RSN IE - hexdump(len=30): 30 1c 01 00 00 0f ac 04 01 00 00 0f ac 04 03 00 00 0f ac 01 00 40 96 00 00 0f ac 03 28 00
wlp4s0: WPA: using GTK CCMP
wlp4s0: WPA: using PTK CCMP
wlp4s0: WPA: using KEY_MGMT 802.1X
WPA: Set own WPA IE default - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
WPA: No current PMKSA - clear PMK
RRM: Determining whether RRM can be used - device support: 0x70
RRM: No RRM in network
Added supported operating classes IE - hexdump(len=19): 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
EAPOL: External notification - EAP success=0
EAPOL: External notification - EAP fail=0
EAPOL: External notification - portControl=Auto
wlp4s0: Cancelling scan request
wlp4s0: SME: Trying to authenticate with 00:ea:bd:99:53:40 (SSID='eduroam' freq=2437 MHz)
EAPOL: External notification - portValid=0
wlp4s0: State: SCANNING -> AUTHENTICATING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
nl80211: Authenticate (ifindex=4)
  * bssid=00:ea:bd:99:53:40
  * freq=2437
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=0): [NULL]
  * Auth Type 0
nl80211: Authentication request send successfully
nl80211: Ignored event (cmd=19) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 19 (NL80211_CMD_NEW_STATION) received for wlp4s0
nl80211: New station 00:ea:bd:99:53:40
nl80211: Ignored event (cmd=37) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 37 (NL80211_CMD_AUTHENTICATE) received for wlp4s0
nl80211: Authenticate event
wlp4s0: Event AUTH (10) received
wlp4s0: SME: Authentication response: peer=00:ea:bd:99:53:40 auth_type=0 auth_transaction=2 status_code=0
SME: Association Request IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
wlp4s0: Trying to associate with 00:ea:bd:99:53:40 (SSID='eduroam' freq=2437 MHz)
wlp4s0: State: AUTHENTICATING -> ASSOCIATING
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
WPA: set own WPA/RSN IE - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
nl80211: Associate (ifindex=4)
  * bssid=00:ea:bd:99:53:40
  * freq=2437
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
  * WPA Versions 0x2
  * pairwise=0xfac04
  * group=0xfac04
  * akm=0xfac01
nl80211: Association request send successfully
l2_packet_receive: src=00:ea:bd:99:53:40 len=50
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
wlp4s0: Not associated - Delay processing of received EAPOL frame (state=ASSOCIATING bssid=00:00:00:00:00:00)
nl80211: Ignored event (cmd=38) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 38 (NL80211_CMD_ASSOCIATE) received for wlp4s0
nl80211: Associate event
nl80211: Associated on 2437 MHz
nl80211: Associated with 00:ea:bd:99:53:40
nl80211: Set drv->ssid based on scan res info to 'eduroam'
wlp4s0: Event ASSOC (0) received
wlp4s0: Association info event
resp_ies - hexdump(len=106): 01 08 16 0c 92 18 24 30 48 60 32 01 6c 2d 1a 2d 09 17 ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 3d 16 06 08 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 7f 08 00 10 08 00 00 00 00 00 5a 03 7d 00 00 dd 18 00 50 f2 02 01 01 80 00 03 a4 00 00 27 a4 00 00 42 43 5e 00 72 32 2f 00
wlp4s0: freq=2437 MHz
wlp4s0: State: ASSOCIATING -> ASSOCIATED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=1): completed iteration
wlp4s0: freq[0]: 2437, flags=0x1
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Associated to a new BSS: BSSID=00:ea:bd:99:53:40
wlp4s0: Associated with 00:ea:bd:99:53:40
wlp4s0: WPA: Association event - clear replay counter
wlp4s0: WPA: Clear old PTK
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
EAPOL: External notification - portEnabled=1
EAPOL: SUPP_PAE entering state CONNECTING
EAPOL: SUPP_BE entering state IDLE
EAP: EAP entering state INITIALIZE
EAP: EAP entering state IDLE
wlp4s0: Setting authentication timeout: 10 sec 0 usec
wlp4s0: Cancelling scan request
wlp4s0: Process pending EAPOL frame that was received just before association notification
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
wlp4s0: Setting authentication timeout: 70 sec 0 usec
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_PAE entering state RESTART
EAP: EAP entering state INITIALIZE
EAP: EAP entering state IDLE
EAPOL: SUPP_PAE entering state AUTHENTICATING
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=1 method=1 vendor=0 vendorMethod=0
EAP: EAP entering state IDENTITY
wlp4s0: CTRL-EVENT-EAP-STARTED EAP authentication started
EAP: Status notification: started (param=)
EAP: EAP-Request Identity data - hexdump_ascii(len=41):
     00 6e 65 74 77 6f 72 6b 69 64 3d 65 64 75 72 6f   _networkid=eduro
     61 6d 2c 6e 61 73 69 64 3d 57 4c 43 35 35 32 30   am,nasid=WLC5520
     2c 70 6f 72 74 69 64 3d 31                        ,portid=1       
EAP: using real identity - hexdump_ascii(len=25):
     HEX OF MY REAL NAME, I SUPPOSE                    my.name@un
     MORE HEX                                          i-graz.at       
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
WMM AC: AC mandatory: AC_BE=0 AC_BK=0 AC_VI=0 AC_VO=1
WMM AC: U-APSD queues=0x0
WMM AC: Valid WMM association, WMM AC is enabled
wlp4s0: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=5 linkmode=1 ifi_family=0 ifi_flags=0x11003 ([UP][LOWER_UP])
nl80211: Ignored event (cmd=46) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 46 (NL80211_CMD_CONNECT) received for wlp4s0
nl80211: Ignore connect event (cmd=46) when using userspace SME
l2_packet_receive: src=00:ea:bd:99:53:40 len=46
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=2 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state GET_METHOD
wlp4s0: CTRL-EVENT-EAP-PROPOSED-METHOD vendor=0 method=25
EAP: Status notification: accept proposed method (param=PEAP)
EAP: Initialize selected EAP method: vendor 0 method 25 (PEAP)
TLS: Phase2 EAP types - hexdump(len=8): 00 00 00 00 1a 00 00 00
TLS: using phase1 config options
TLS: Trusted root certificate(s) loaded
wlp4s0: CTRL-EVENT-EAP-METHOD EAP vendor 0 method 25 (PEAP) selected
EAP: EAP entering state METHOD
SSL: Received packet(len=6) - Flags 0x20
EAP-PEAP: Start (server ver=0, own ver=1)
EAP-PEAP: Using PEAP version 0
SSL: (where=0x10 ret=0x1)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:before SSL initialization
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=22 (handshake/client hello)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in SSLv3/TLS write client hello
SSL: SSL_connect - want more data
SSL: 208 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: 208 bytes left to be sent out (of total 208 bytes)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cfb0d0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:40 len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=3 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0xc0
SSL: TLS Message Length: 5041
SSL: Need 3755 bytes more input data
SSL: Building ACK (type=25 id=3 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0ce0870
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:40 len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=4 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 2465 bytes more input data
SSL: Building ACK (type=25 id=4 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cdb340
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:40 len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=5 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 1175 bytes more input data
SSL: Building ACK (type=25 id=5 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cdb280
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:40 len=1185
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=6 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1181) - Flags 0x00
OpenSSL: RX ver=0x0 content_type=256 (TLS header info/)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
OpenSSL: RX ver=0x303 content_type=22 (handshake/server hello)
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=21 (alert/)
SSL: (where=0x4008 ret=0x246)
SSL: SSL3 alert: write (local SSL3 detected an error):fatal:protocol version
EAP: Status notification: local TLS alert (param=protocol version)
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in error
OpenSSL: openssl_handshake - SSL_connect error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
SSL: 7 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: Failed - tls_out available to report error (len=7)
SSL: 7 bytes left to be sent out (of total 7 bytes)
EAP-PEAP: TLS processing failed
EAP: method process -> ignore=FALSE methodState=DONE decision=FAIL eapRespData=0x55e2c0cfb7c0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:40 len=46
wlp4s0: RX EAPOL from 00:ea:bd:99:53:40
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Failure
EAP: Status notification: completion (param=failure)
EAP: EAP entering state FAILURE
wlp4s0: CTRL-EVENT-EAP-FAILURE EAP authentication failed
EAPOL: SUPP_PAE entering state HELD
EAPOL: Supplicant port status: Unauthorized
nl80211: Set supplicant port unauthorized for 00:ea:bd:99:53:40
EAPOL: SUPP_BE entering state RECEIVE
EAPOL: SUPP_BE entering state FAIL
EAPOL: SUPP_BE entering state IDLE
EAPOL authentication completed - result=FAILURE
wlp4s0: Setting authentication timeout: 2 sec 0 usec
EAPOL: disable timer tick
EAPOL: startWhen --> 0
wlp4s0: Authentication with 00:ea:bd:99:53:40 timed out.
Added BSSID 00:ea:bd:99:53:40 into blacklist
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Request to deauthenticate - bssid=00:ea:bd:99:53:40 pending_bssid=00:00:00:00:00:00 reason=3 state=ASSOCIATED
wpa_driver_nl80211_deauthenticate(addr=00:ea:bd:99:53:40 reason_code=3)
wlp4s0: Event DEAUTH (11) received
wlp4s0: Deauthentication notification
wlp4s0:  * reason 3 (locally generated)
Deauthentication frame IE(s) - hexdump(len=0): [NULL]
wlp4s0: CTRL-EVENT-DISCONNECTED bssid=00:ea:bd:99:53:40 reason=3 locally_generated=1
wlp4s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="eduroam" auth_failures=1 duration=10 reason=AUTH_FAILED
wlp4s0: Auto connect enabled: try to reconnect (wps=0/0 wpa_state=6)
wlp4s0: Setting scan request: 0.100000 sec
wlp4s0: Radio work 'sme-connect'@0x55e2c0cd69c0 done in 2.064529 seconds
wlp4s0: radio_work_free('sme-connect'@0x55e2c0cd69c0): num_active_works --> 0
BSSID 00:ea:bd:99:53:40 blacklist count incremented to 2
wlp4s0: Blacklist count 2 --> request scan in 500 ms
wlp4s0: Ignore new scan request for 0.500000 sec since an earlier request is scheduled to trigger sooner
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Disconnect event - remove keys
wlp4s0: State: ASSOCIATED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
WMM AC: WMM AC is disabled
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
EAPOL: External notification - portEnabled=0
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
EAPOL: External notification - portValid=0
wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
wlp4s0: Ignore new scan request for 1.000000 sec since an earlier request is scheduled to trigger sooner
nl80211: Ignored event (cmd=20) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 20 (NL80211_CMD_DEL_STATION) received for wlp4s0
nl80211: Delete station 00:ea:bd:99:53:40
nl80211: Ignored event (cmd=39) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 39 (NL80211_CMD_DEAUTHENTICATE) received for wlp4s0
nl80211: Deauthenticate event
nl80211: Ignore deauth event triggered due to own deauth request
nl80211: Ignored event (cmd=48) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 48 (NL80211_CMD_DISCONNECT) received for wlp4s0
nl80211: Ignore disconnect event when using userspace SME
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=2 linkmode=1 ifi_family=0 ifi_flags=0x1003 ([UP])
EAPOL: disable timer tick
wlp4s0: State: DISCONNECTED -> SCANNING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000013 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000047 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.819592 seconds
nl80211: Received scan results (25 BSSes)
wlp4s0: BSS: Start scan result update 2
wlp4s0: BSS: Add new id 18 BSSID 58:97:bd:cd:ae:81 SSID 'KFUwireless' freq 2437
wlp4s0: BSS: Add new id 19 BSSID fc:2d:5e:a9:61:ee SSID '3Tube_2.4Ghz_61EE' freq 2437
wlp4s0: BSS: Add new id 20 BSSID d4:28:d5:17:17:5e SSID 'HH40V_175E' freq 2432
wlp4s0: BSS: Add new id 21 BSSID 62:e3:27:4a:ac:9f SSID 'orderbird POS Chu' freq 2462
wlp4s0: BSS: Add new id 22 BSSID d0:03:4b:d6:cb:04 SSID 'Martin-T haare \xc2\xa7' freq 2462
wlp4s0: BSS: Add new id 23 BSSID 60:e3:27:4a:ac:9f SSID '' freq 2462
wlp4s0: BSS: Add new id 24 BSSID 66:e3:27:4a:ac:9f SSID 'Churchill Bar Free' freq 2462
BSS: last_scan_res_used=25/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP fc:2d:5e:a9:61:ee type 0 added
WPS: AP d4:28:d5:17:17:5e type 0 added
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 0.820935 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: Postpone network selection by 9 seconds since all networks are disabled
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (25 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 2
p2p-dev-wlp4s0: BSS: Add new id 18 BSSID 58:97:bd:cd:ae:81 SSID 'KFUwireless' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 19 BSSID fc:2d:5e:a9:61:ee SSID '3Tube_2.4Ghz_61EE' freq 2437
p2p-dev-wlp4s0: BSS: Add new id 20 BSSID d4:28:d5:17:17:5e SSID 'HH40V_175E' freq 2432
p2p-dev-wlp4s0: BSS: Add new id 21 BSSID 62:e3:27:4a:ac:9f SSID 'orderbird POS Chu' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 22 BSSID d0:03:4b:d6:cb:04 SSID 'Martin-T haare \xc2\xa7' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 23 BSSID 60:e3:27:4a:ac:9f SSID '' freq 2462
p2p-dev-wlp4s0: BSS: Add new id 24 BSSID 66:e3:27:4a:ac:9f SSID 'Churchill Bar Free' freq 2462
BSS: last_scan_res_used=25/32
p2p-dev-wlp4s0: New scan results available (own=0 ext=0)
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP fc:2d:5e:a9:61:ee type 0 added
WPS: AP d4:28:d5:17:17:5e type 0 added
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Try to associate due to network getting re-enabled
Fast associate: Old scan results
wlp4s0: Setting scan request: 0.000000 sec
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000013 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000038 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.817788 seconds
nl80211: Received scan results (25 BSSes)
wlp4s0: BSS: Start scan result update 3
BSS: last_scan_res_used=25/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 0.819086 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: CTRL-EVENT-SSID-REENABLED id=0 ssid="eduroam"
wlp4s0: Selecting BSS from priority group 0
wlp4s0: 0: 00:ea:bd:99:53:4f ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1111 level=-73 freq=5320 
wlp4s0:    selected based on RSN IE
wlp4s0:    selected BSS 00:ea:bd:99:53:4f ssid='eduroam'
wlp4s0: Considering connect request: reassociate: 1  selected: 00:ea:bd:99:53:4f  bssid: 00:00:00:00:00:00  pending: 00:00:00:00:00:00  wpa_state: SCANNING  ssid=0x55e2c0c9ce10  current_ssid=(nil)
wlp4s0: Request association with 00:ea:bd:99:53:4f
wlp4s0: Re-association to the same ESS
wlp4s0: No ongoing scan/p2p-scan found to abort
wlp4s0: Add radio work 'sme-connect'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (25 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 3
BSS: last_scan_res_used=25/32
wlp4s0: Starting radio work 'sme-connect'@0x55e2c0cd69c0 after 0.000208 second wait
wlp4s0: WPA: clearing own WPA/RSN IE
wlp4s0: Automatic auth_alg selection: 0x1
RSN: PMKSA cache search - network_ctx=(nil) try_opportunistic=0 akmp=0x0
RSN: Search for BSSID 00:ea:bd:99:53:4f
RSN: No PMKSA cache entry found
wlp4s0: RSN: using IEEE 802.11i/D9.0
wlp4s0: WPA: Selected cipher suites: group 16 pairwise 16 key_mgmt 1 proto 2
wlp4s0: WPA: clearing AP WPA IE
WPA: set AP RSN IE - hexdump(len=30): 30 1c 01 00 00 0f ac 04 01 00 00 0f ac 04 03 00 00 0f ac 01 00 40 96 00 00 0f ac 03 28 00
wlp4s0: WPA: using GTK CCMP
wlp4s0: WPA: using PTK CCMP
wlp4s0: WPA: using KEY_MGMT 802.1X
WPA: Set own WPA IE default - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
WPA: No current PMKSA - clear PMK
RRM: Determining whether RRM can be used - device support: 0x70
RRM: No RRM in network
Added supported operating classes IE - hexdump(len=19): 3b 11 76 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
EAPOL: External notification - EAP success=0
EAPOL: External notification - EAP fail=0
EAPOL: External notification - portControl=Auto
wlp4s0: Cancelling scan request
wlp4s0: SME: Trying to authenticate with 00:ea:bd:99:53:4f (SSID='eduroam' freq=5320 MHz)
EAPOL: External notification - portValid=0
wlp4s0: State: SCANNING -> AUTHENTICATING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
nl80211: Authenticate (ifindex=4)
  * bssid=00:ea:bd:99:53:4f
  * freq=5320
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=0): [NULL]
  * Auth Type 0
nl80211: Authentication request send successfully
nl80211: Ignored event (cmd=19) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 19 (NL80211_CMD_NEW_STATION) received for wlp4s0
nl80211: New station 00:ea:bd:99:53:4f
nl80211: Ignored event (cmd=37) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 37 (NL80211_CMD_AUTHENTICATE) received for wlp4s0
nl80211: Authenticate event
wlp4s0: Event AUTH (10) received
wlp4s0: SME: Authentication response: peer=00:ea:bd:99:53:4f auth_type=0 auth_transaction=2 status_code=0
SME: Association Request IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 76 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
wlp4s0: Trying to associate with 00:ea:bd:99:53:4f (SSID='eduroam' freq=5320 MHz)
wlp4s0: State: AUTHENTICATING -> ASSOCIATING
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
WPA: set own WPA/RSN IE - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
nl80211: Associate (ifindex=4)
  * bssid=00:ea:bd:99:53:4f
  * freq=5320
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 76 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
  * WPA Versions 0x2
  * pairwise=0xfac04
  * group=0xfac04
  * akm=0xfac01
nl80211: Association request send successfully
l2_packet_receive: src=00:ea:bd:99:53:4f len=50
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
wlp4s0: Not associated - Delay processing of received EAPOL frame (state=ASSOCIATING bssid=00:00:00:00:00:00)
nl80211: Ignored event (cmd=38) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 38 (NL80211_CMD_ASSOCIATE) received for wlp4s0
nl80211: Associate event
nl80211: Associated on 5320 MHz
nl80211: Associated with 00:ea:bd:99:53:4f
nl80211: Set drv->ssid based on scan res info to 'eduroam'
wlp4s0: Event ASSOC (0) received
wlp4s0: Association info event
resp_ies - hexdump(len=124): 01 08 0c 92 18 24 30 48 60 6c 2d 1a 2d 09 17 ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 3d 16 40 0f 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 7f 08 00 10 08 00 00 00 00 40 bf 0c 32 79 8b 33 e5 ff 00 00 e5 ff 00 00 c0 05 00 00 00 fc ff 5a 03 7d 00 00 dd 18 00 50 f2 02 01 01 80 00 03 a4 00 00 27 a4 00 00 42 43 5e 00 72 32 2f 00
wlp4s0: freq=5320 MHz
wlp4s0: State: ASSOCIATING -> ASSOCIATED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=1): completed iteration
wlp4s0: freq[0]: 5320, flags=0x1
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Associated to a new BSS: BSSID=00:ea:bd:99:53:4f
wlp4s0: Associated with 00:ea:bd:99:53:4f
wlp4s0: WPA: Association event - clear replay counter
wlp4s0: WPA: Clear old PTK
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
EAPOL: External notification - portEnabled=1
EAPOL: SUPP_PAE entering state CONNECTING
EAPOL: enable timer tick
EAPOL: SUPP_BE entering state IDLE
EAP: EAP entering state INITIALIZE
EAP: deinitialize previously used EAP method (25, PEAP) at INITIALIZE
ENGINE: engine deinit
EAP: EAP entering state IDLE
wlp4s0: Setting authentication timeout: 10 sec 0 usec
wlp4s0: Cancelling scan request
wlp4s0: Process pending EAPOL frame that was received just before association notification
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
wlp4s0: Setting authentication timeout: 70 sec 0 usec
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_PAE entering state RESTART
EAP: EAP entering state INITIALIZE
EAP: EAP entering state IDLE
EAPOL: SUPP_PAE entering state AUTHENTICATING
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=1 method=1 vendor=0 vendorMethod=0
EAP: EAP entering state IDENTITY
wlp4s0: CTRL-EVENT-EAP-STARTED EAP authentication started
EAP: Status notification: started (param=)
EAP: EAP-Request Identity data - hexdump_ascii(len=41):
     00 6e 65 74 77 6f 72 6b 69 64 3d 65 64 75 72 6f   _networkid=eduro
     61 6d 2c 6e 61 73 69 64 3d 57 4c 43 35 35 32 30   am,nasid=WLC5520
     2c 70 6f 72 74 69 64 3d 31                        ,portid=1       
EAP: using real identity - hexdump_ascii(len=25):
     HEX OF MY REAL NAME, I SUPPOSE                    my.name@un
     MORE HEX                                          i-graz.at            
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
WMM AC: AC mandatory: AC_BE=0 AC_BK=0 AC_VI=0 AC_VO=1
WMM AC: U-APSD queues=0x0
WMM AC: Valid WMM association, WMM AC is enabled
wlp4s0: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=5 linkmode=1 ifi_family=0 ifi_flags=0x11003 ([UP][LOWER_UP])
nl80211: Ignored event (cmd=46) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 46 (NL80211_CMD_CONNECT) received for wlp4s0
nl80211: Ignore connect event (cmd=46) when using userspace SME
l2_packet_receive: src=00:ea:bd:99:53:4f len=46
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=2 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state GET_METHOD
wlp4s0: CTRL-EVENT-EAP-PROPOSED-METHOD vendor=0 method=25
EAP: Status notification: accept proposed method (param=PEAP)
EAP: Initialize selected EAP method: vendor 0 method 25 (PEAP)
TLS: Phase2 EAP types - hexdump(len=8): 00 00 00 00 1a 00 00 00
TLS: using phase1 config options
TLS: Trusted root certificate(s) loaded
wlp4s0: CTRL-EVENT-EAP-METHOD EAP vendor 0 method 25 (PEAP) selected
EAP: EAP entering state METHOD
SSL: Received packet(len=6) - Flags 0x20
EAP-PEAP: Start (server ver=0, own ver=1)
EAP-PEAP: Using PEAP version 0
SSL: (where=0x10 ret=0x1)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:before SSL initialization
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=22 (handshake/client hello)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in SSLv3/TLS write client hello
SSL: SSL_connect - want more data
SSL: 208 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: 208 bytes left to be sent out (of total 208 bytes)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cd99e0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:4f len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=3 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0xc0
SSL: TLS Message Length: 5041
SSL: Need 3755 bytes more input data
SSL: Building ACK (type=25 id=3 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0d0f4d0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:4f len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=4 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 2465 bytes more input data
SSL: Building ACK (type=25 id=4 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cdf380
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:4f len=1300
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=5 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 1175 bytes more input data
SSL: Building ACK (type=25 id=5 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cdb3b0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:4f len=1185
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=6 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1181) - Flags 0x00
OpenSSL: RX ver=0x0 content_type=256 (TLS header info/)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
OpenSSL: RX ver=0x303 content_type=22 (handshake/server hello)
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=21 (alert/)
SSL: (where=0x4008 ret=0x246)
SSL: SSL3 alert: write (local SSL3 detected an error):fatal:protocol version
EAP: Status notification: local TLS alert (param=protocol version)
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in error
OpenSSL: openssl_handshake - SSL_connect error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
SSL: 7 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: Failed - tls_out available to report error (len=7)
SSL: 7 bytes left to be sent out (of total 7 bytes)
EAP-PEAP: TLS processing failed
EAP: method process -> ignore=FALSE methodState=DONE decision=FAIL eapRespData=0x55e2c0cd9af0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=00:ea:bd:99:53:4f len=46
wlp4s0: RX EAPOL from 00:ea:bd:99:53:4f
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Failure
EAP: Status notification: completion (param=failure)
EAP: EAP entering state FAILURE
wlp4s0: CTRL-EVENT-EAP-FAILURE EAP authentication failed
EAPOL: SUPP_PAE entering state HELD
EAPOL: Supplicant port status: Unauthorized
nl80211: Set supplicant port unauthorized for 00:ea:bd:99:53:4f
EAPOL: SUPP_BE entering state RECEIVE
EAPOL: SUPP_BE entering state FAIL
EAPOL: SUPP_BE entering state IDLE
EAPOL authentication completed - result=FAILURE
wlp4s0: Setting authentication timeout: 2 sec 0 usec
EAPOL: startWhen --> 0
wlp4s0: Authentication with 00:ea:bd:99:53:4f timed out.
Added BSSID 00:ea:bd:99:53:4f into blacklist
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Request to deauthenticate - bssid=00:ea:bd:99:53:4f pending_bssid=00:00:00:00:00:00 reason=3 state=ASSOCIATED
wpa_driver_nl80211_deauthenticate(addr=00:ea:bd:99:53:4f reason_code=3)
wlp4s0: Event DEAUTH (11) received
wlp4s0: Deauthentication notification
wlp4s0:  * reason 3 (locally generated)
Deauthentication frame IE(s) - hexdump(len=0): [NULL]
wlp4s0: CTRL-EVENT-DISCONNECTED bssid=00:ea:bd:99:53:4f reason=3 locally_generated=1
wlp4s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="eduroam" auth_failures=2 duration=23 reason=AUTH_FAILED
wlp4s0: Auto connect enabled: try to reconnect (wps=0/0 wpa_state=6)
wlp4s0: Setting scan request: 0.100000 sec
wlp4s0: Radio work 'sme-connect'@0x55e2c0cd69c0 done in 2.062421 seconds
wlp4s0: radio_work_free('sme-connect'@0x55e2c0cd69c0): num_active_works --> 0
BSSID 00:ea:bd:99:53:4f blacklist count incremented to 2
wlp4s0: Blacklist count 2 --> request scan in 500 ms
wlp4s0: Ignore new scan request for 0.500000 sec since an earlier request is scheduled to trigger sooner
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Disconnect event - remove keys
wlp4s0: State: ASSOCIATED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
WMM AC: WMM AC is disabled
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
EAPOL: External notification - portEnabled=0
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
EAPOL: External notification - portValid=0
wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
wlp4s0: Ignore new scan request for 1.000000 sec since an earlier request is scheduled to trigger sooner
nl80211: Ignored event (cmd=20) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 20 (NL80211_CMD_DEL_STATION) received for wlp4s0
nl80211: Delete station 00:ea:bd:99:53:4f
nl80211: Ignored event (cmd=39) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 39 (NL80211_CMD_DEAUTHENTICATE) received for wlp4s0
nl80211: Deauthenticate event
nl80211: Ignore deauth event triggered due to own deauth request
nl80211: Ignored event (cmd=48) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 48 (NL80211_CMD_DISCONNECT) received for wlp4s0
nl80211: Ignore disconnect event when using userspace SME
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=2 linkmode=1 ifi_family=0 ifi_flags=0x1003 ([UP])
wlp4s0: State: DISCONNECTED -> SCANNING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000013 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000046 seconds
EAPOL: disable timer tick
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 3.124571 seconds
nl80211: Received scan results (28 BSSes)
wlp4s0: BSS: Start scan result update 4
wlp4s0: BSS: Add new id 25 BSSID 38:90:a5:82:9b:8e SSID 'KFUwireless' freq 5220
wlp4s0: BSS: Add new id 26 BSSID 38:90:a5:82:9b:8f SSID 'eduroam' freq 5220
wlp4s0: BSS: Add new id 27 BSSID 38:90:a5:82:9b:8d SSID 'UNIGRAZguest' freq 5220
BSS: last_scan_res_used=28/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP fc:2d:5e:a9:61:ee type 0 added
WPS: AP d4:28:d5:17:17:5e type 0 added
WPS: AP[0] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 3.126023 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: Postpone network selection by 20 seconds since all networks are disabled
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (28 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 4
p2p-dev-wlp4s0: BSS: Add new id 25 BSSID 38:90:a5:82:9b:8e SSID 'KFUwireless' freq 5220
p2p-dev-wlp4s0: BSS: Add new id 26 BSSID 38:90:a5:82:9b:8f SSID 'eduroam' freq 5220
p2p-dev-wlp4s0: BSS: Add new id 27 BSSID 38:90:a5:82:9b:8d SSID 'UNIGRAZguest' freq 5220
BSS: last_scan_res_used=28/32
p2p-dev-wlp4s0: New scan results available (own=0 ext=0)
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Try to associate due to network getting re-enabled
Fast associate: Old scan results
wlp4s0: Setting scan request: 0.000000 sec
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000013 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000045 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.833869 seconds
nl80211: Received scan results (28 BSSes)
wlp4s0: BSS: Start scan result update 5
wlp4s0: BSS: Add new id 28 BSSID 58:97:bd:cd:ae:8d SSID 'UNIGRAZguest' freq 5660
BSS: last_scan_res_used=28/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP[0] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 0.835316 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: CTRL-EVENT-SSID-REENABLED id=0 ssid="eduroam"
wlp4s0: Selecting BSS from priority group 0
wlp4s0: 0: 00:ea:bd:99:53:4f ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1111 level=-73 freq=5320 
wlp4s0:    skip - blacklisted (count=2 limit=0)
wlp4s0: 1: 00:ea:bd:99:53:4e ssid='KFUwireless' wpa_ie_len=28 rsn_ie_len=24 caps=0x1111 level=-73 freq=5320 
wlp4s0:    skip - SSID mismatch
wlp4s0: 2: 00:ea:bd:99:53:40 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1011 level=-62 freq=2437 
wlp4s0:    skip - blacklisted (count=2 limit=0)
wlp4s0: 3: 00:ea:bd:99:53:41 ssid='KFUwireless' wpa_ie_len=28 rsn_ie_len=24 caps=0x1011 level=-62 freq=2437 
wlp4s0:    skip - SSID mismatch
wlp4s0: 4: 38:90:a5:82:9b:80 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1411 level=-69 freq=2462 
wlp4s0:    selected based on RSN IE
wlp4s0:    selected BSS 38:90:a5:82:9b:80 ssid='eduroam'
wlp4s0: Considering connect request: reassociate: 1  selected: 38:90:a5:82:9b:80  bssid: 00:00:00:00:00:00  pending: 00:00:00:00:00:00  wpa_state: SCANNING  ssid=0x55e2c0c9ce10  current_ssid=(nil)
wlp4s0: Request association with 38:90:a5:82:9b:80
wlp4s0: Re-association to the same ESS
wlp4s0: No ongoing scan/p2p-scan found to abort
wlp4s0: Add radio work 'sme-connect'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (28 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 5
p2p-dev-wlp4s0: BSS: Add new id 28 BSSID 58:97:bd:cd:ae:8d SSID 'UNIGRAZguest' freq 5660
BSS: last_scan_res_used=28/32
wlp4s0: Starting radio work 'sme-connect'@0x55e2c0cd69c0 after 0.000225 second wait
wlp4s0: WPA: clearing own WPA/RSN IE
wlp4s0: Automatic auth_alg selection: 0x1
RSN: PMKSA cache search - network_ctx=(nil) try_opportunistic=0 akmp=0x0
RSN: Search for BSSID 38:90:a5:82:9b:80
RSN: No PMKSA cache entry found
wlp4s0: RSN: using IEEE 802.11i/D9.0
wlp4s0: WPA: Selected cipher suites: group 16 pairwise 16 key_mgmt 1 proto 2
wlp4s0: WPA: clearing AP WPA IE
WPA: set AP RSN IE - hexdump(len=30): 30 1c 01 00 00 0f ac 04 01 00 00 0f ac 04 03 00 00 0f ac 01 00 40 96 00 00 0f ac 03 28 00
wlp4s0: WPA: using GTK CCMP
wlp4s0: WPA: using PTK CCMP
wlp4s0: WPA: using KEY_MGMT 802.1X
WPA: Set own WPA IE default - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
WPA: No current PMKSA - clear PMK
RRM: Determining whether RRM can be used - device support: 0x70
RRM: No RRM in network
Added supported operating classes IE - hexdump(len=19): 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
EAPOL: External notification - EAP success=0
EAPOL: External notification - EAP fail=0
EAPOL: External notification - portControl=Auto
wlp4s0: Cancelling scan request
wlp4s0: SME: Trying to authenticate with 38:90:a5:82:9b:80 (SSID='eduroam' freq=2462 MHz)
EAPOL: External notification - portValid=0
wlp4s0: State: SCANNING -> AUTHENTICATING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
nl80211: Authenticate (ifindex=4)
  * bssid=38:90:a5:82:9b:80
  * freq=2462
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=0): [NULL]
  * Auth Type 0
nl80211: Authentication request send successfully
nl80211: Ignored event (cmd=19) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 19 (NL80211_CMD_NEW_STATION) received for wlp4s0
nl80211: New station 38:90:a5:82:9b:80
nl80211: Ignored event (cmd=37) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 37 (NL80211_CMD_AUTHENTICATE) received for wlp4s0
nl80211: Authenticate event
wlp4s0: Event AUTH (10) received
wlp4s0: SME: Authentication response: peer=38:90:a5:82:9b:80 auth_type=0 auth_transaction=2 status_code=0
SME: Association Request IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
wlp4s0: Trying to associate with 38:90:a5:82:9b:80 (SSID='eduroam' freq=2462 MHz)
wlp4s0: State: AUTHENTICATING -> ASSOCIATING
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
WPA: set own WPA/RSN IE - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
nl80211: Associate (ifindex=4)
  * bssid=38:90:a5:82:9b:80
  * freq=2462
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
  * WPA Versions 0x2
  * pairwise=0xfac04
  * group=0xfac04
  * akm=0xfac01
nl80211: Association request send successfully
l2_packet_receive: src=38:90:a5:82:9b:80 len=50
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
wlp4s0: Not associated - Delay processing of received EAPOL frame (state=ASSOCIATING bssid=00:00:00:00:00:00)
nl80211: Ignored event (cmd=38) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 38 (NL80211_CMD_ASSOCIATE) received for wlp4s0
nl80211: Associate event
nl80211: Associated on 2462 MHz
nl80211: Associated with 38:90:a5:82:9b:80
nl80211: Set drv->ssid based on scan res info to 'eduroam'
wlp4s0: Event ASSOC (0) received
wlp4s0: Association info event
resp_ies - hexdump(len=106): 01 08 16 0c 92 18 24 30 48 60 32 01 6c 2d 1a 2d 09 17 ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 3d 16 0b 08 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 7f 08 00 10 08 00 00 00 00 00 5a 03 7d 00 00 dd 18 00 50 f2 02 01 01 80 00 03 a4 00 00 27 a4 00 00 42 43 5e 00 72 32 2f 00
wlp4s0: freq=2462 MHz
wlp4s0: State: ASSOCIATING -> ASSOCIATED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=1): completed iteration
wlp4s0: freq[0]: 2462, flags=0x1
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Associated to a new BSS: BSSID=38:90:a5:82:9b:80
wlp4s0: Associated with 38:90:a5:82:9b:80
wlp4s0: WPA: Association event - clear replay counter
wlp4s0: WPA: Clear old PTK
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
EAPOL: External notification - portEnabled=1
EAPOL: SUPP_PAE entering state CONNECTING
EAPOL: enable timer tick
EAPOL: SUPP_BE entering state IDLE
EAP: EAP entering state INITIALIZE
EAP: deinitialize previously used EAP method (25, PEAP) at INITIALIZE
ENGINE: engine deinit
EAP: EAP entering state IDLE
wlp4s0: Setting authentication timeout: 10 sec 0 usec
wlp4s0: Cancelling scan request
wlp4s0: Process pending EAPOL frame that was received just before association notification
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
wlp4s0: Setting authentication timeout: 70 sec 0 usec
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_PAE entering state RESTART
EAP: EAP entering state INITIALIZE
EAP: EAP entering state IDLE
EAPOL: SUPP_PAE entering state AUTHENTICATING
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=1 method=1 vendor=0 vendorMethod=0
EAP: EAP entering state IDENTITY
wlp4s0: CTRL-EVENT-EAP-STARTED EAP authentication started
EAP: Status notification: started (param=)
EAP: EAP-Request Identity data - hexdump_ascii(len=41):
     00 6e 65 74 77 6f 72 6b 69 64 3d 65 64 75 72 6f   _networkid=eduro
     61 6d 2c 6e 61 73 69 64 3d 57 4c 43 35 35 32 30   am,nasid=WLC5520
     2c 70 6f 72 74 69 64 3d 31                        ,portid=1       
EAP: using real identity - hexdump_ascii(len=25):
     HEX OF MY REAL NAME, I SUPPOSE                    my.name@un
     MORE HEX                                          i-graz.at            
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
WMM AC: AC mandatory: AC_BE=0 AC_BK=0 AC_VI=0 AC_VO=1
WMM AC: U-APSD queues=0x0
WMM AC: Valid WMM association, WMM AC is enabled
wlp4s0: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=5 linkmode=1 ifi_family=0 ifi_flags=0x11003 ([UP][LOWER_UP])
nl80211: Ignored event (cmd=46) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 46 (NL80211_CMD_CONNECT) received for wlp4s0
nl80211: Ignore connect event (cmd=46) when using userspace SME
l2_packet_receive: src=38:90:a5:82:9b:80 len=46
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=2 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state GET_METHOD
wlp4s0: CTRL-EVENT-EAP-PROPOSED-METHOD vendor=0 method=25
EAP: Status notification: accept proposed method (param=PEAP)
EAP: Initialize selected EAP method: vendor 0 method 25 (PEAP)
TLS: Phase2 EAP types - hexdump(len=8): 00 00 00 00 1a 00 00 00
TLS: using phase1 config options
TLS: Trusted root certificate(s) loaded
wlp4s0: CTRL-EVENT-EAP-METHOD EAP vendor 0 method 25 (PEAP) selected
EAP: EAP entering state METHOD
SSL: Received packet(len=6) - Flags 0x20
EAP-PEAP: Start (server ver=0, own ver=1)
EAP-PEAP: Using PEAP version 0
SSL: (where=0x10 ret=0x1)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:before SSL initialization
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=22 (handshake/client hello)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in SSLv3/TLS write client hello
SSL: SSL_connect - want more data
SSL: 208 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: 208 bytes left to be sent out (of total 208 bytes)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cfb610
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:82:9b:80 len=1300
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=3 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0xc0
SSL: TLS Message Length: 5041
SSL: Need 3755 bytes more input data
SSL: Building ACK (type=25 id=3 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cda1b0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:82:9b:80 len=1300
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=4 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 2465 bytes more input data
SSL: Building ACK (type=25 id=4 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0c9c040
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:82:9b:80 len=1300
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=5 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 1175 bytes more input data
SSL: Building ACK (type=25 id=5 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0ce5590
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:82:9b:80 len=1185
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=6 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1181) - Flags 0x00
OpenSSL: RX ver=0x0 content_type=256 (TLS header info/)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
OpenSSL: RX ver=0x303 content_type=22 (handshake/server hello)
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=21 (alert/)
SSL: (where=0x4008 ret=0x246)
SSL: SSL3 alert: write (local SSL3 detected an error):fatal:protocol version
EAP: Status notification: local TLS alert (param=protocol version)
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in error
OpenSSL: openssl_handshake - SSL_connect error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
SSL: 7 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: Failed - tls_out available to report error (len=7)
SSL: 7 bytes left to be sent out (of total 7 bytes)
EAP-PEAP: TLS processing failed
EAP: method process -> ignore=FALSE methodState=DONE decision=FAIL eapRespData=0x55e2c0cfa010
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:82:9b:80 len=46
wlp4s0: RX EAPOL from 38:90:a5:82:9b:80
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Failure
EAP: Status notification: completion (param=failure)
EAP: EAP entering state FAILURE
wlp4s0: CTRL-EVENT-EAP-FAILURE EAP authentication failed
EAPOL: SUPP_PAE entering state HELD
EAPOL: Supplicant port status: Unauthorized
nl80211: Set supplicant port unauthorized for 38:90:a5:82:9b:80
EAPOL: SUPP_BE entering state RECEIVE
EAPOL: SUPP_BE entering state FAIL
EAPOL: SUPP_BE entering state IDLE
EAPOL authentication completed - result=FAILURE
wlp4s0: Setting authentication timeout: 2 sec 0 usec
EAPOL: startWhen --> 0
wlp4s0: Authentication with 38:90:a5:82:9b:80 timed out.
Added BSSID 38:90:a5:82:9b:80 into blacklist
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Request to deauthenticate - bssid=38:90:a5:82:9b:80 pending_bssid=00:00:00:00:00:00 reason=3 state=ASSOCIATED
wpa_driver_nl80211_deauthenticate(addr=38:90:a5:82:9b:80 reason_code=3)
wlp4s0: Event DEAUTH (11) received
wlp4s0: Deauthentication notification
wlp4s0:  * reason 3 (locally generated)
Deauthentication frame IE(s) - hexdump(len=0): [NULL]
wlp4s0: CTRL-EVENT-DISCONNECTED bssid=38:90:a5:82:9b:80 reason=3 locally_generated=1
wlp4s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="eduroam" auth_failures=3 duration=46 reason=AUTH_FAILED
wlp4s0: Auto connect enabled: try to reconnect (wps=0/0 wpa_state=6)
wlp4s0: Setting scan request: 0.100000 sec
wlp4s0: Radio work 'sme-connect'@0x55e2c0cd69c0 done in 2.064128 seconds
wlp4s0: radio_work_free('sme-connect'@0x55e2c0cd69c0): num_active_works --> 0
BSSID 38:90:a5:82:9b:80 blacklist count incremented to 2
wlp4s0: Blacklist count 2 --> request scan in 500 ms
wlp4s0: Ignore new scan request for 0.500000 sec since an earlier request is scheduled to trigger sooner
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Disconnect event - remove keys
wlp4s0: State: ASSOCIATED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
WMM AC: WMM AC is disabled
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
EAPOL: External notification - portEnabled=0
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
EAPOL: External notification - portValid=0
wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
wlp4s0: Ignore new scan request for 1.000000 sec since an earlier request is scheduled to trigger sooner
nl80211: Ignored event (cmd=20) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 20 (NL80211_CMD_DEL_STATION) received for wlp4s0
nl80211: Delete station 38:90:a5:82:9b:80
nl80211: Ignored event (cmd=39) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 39 (NL80211_CMD_DEAUTHENTICATE) received for wlp4s0
nl80211: Deauthenticate event
nl80211: Ignore deauth event triggered due to own deauth request
nl80211: Ignored event (cmd=48) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 48 (NL80211_CMD_DISCONNECT) received for wlp4s0
nl80211: Ignore disconnect event when using userspace SME
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=2 linkmode=1 ifi_family=0 ifi_flags=0x1003 ([UP])
wlp4s0: State: DISCONNECTED -> SCANNING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cd69c0
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cd69c0 after 0.000014 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000037 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.831986 seconds
nl80211: Received scan results (29 BSSes)
wlp4s0: BSS: Start scan result update 6
BSS: last_scan_res_used=29/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP fc:2d:5e:a9:61:ee type 0 added
WPS: AP d4:28:d5:17:17:5e type 0 added
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cd69c0 done in 0.833321 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cd69c0): num_active_works --> 0
wlp4s0: Postpone network selection by 45 seconds since all networks are disabled
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (29 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 6
BSS: last_scan_res_used=29/32
p2p-dev-wlp4s0: New scan results available (own=0 ext=0)
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
EAPOL: disable timer tick
wlp4s0: Try to associate due to network getting re-enabled
Fast associate: Old scan results
wlp4s0: Setting scan request: 0.000000 sec
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cf9c50
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cf9c50 after 0.000012 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000038 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.832803 seconds
nl80211: Received scan results (21 BSSes)
wlp4s0: BSS: Start scan result update 7
BSS: last_scan_res_used=21/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cf9c50 done in 0.834096 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cf9c50): num_active_works --> 0
wlp4s0: CTRL-EVENT-SSID-REENABLED id=0 ssid="eduroam"
wlp4s0: Selecting BSS from priority group 0
wlp4s0: 0: 00:ea:bd:99:53:4f ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1111 level=-73 freq=5320 
wlp4s0:    skip - blacklisted (count=2 limit=0)
wlp4s0: 1: 00:ea:bd:99:53:4e ssid='KFUwireless' wpa_ie_len=28 rsn_ie_len=24 caps=0x1111 level=-73 freq=5320 
wlp4s0:    skip - SSID mismatch
wlp4s0: 2: 00:ea:bd:99:53:40 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1011 level=-63 freq=2437 
wlp4s0:    skip - blacklisted (count=2 limit=0)
wlp4s0: 3: 00:ea:bd:99:53:41 ssid='KFUwireless' wpa_ie_len=28 rsn_ie_len=24 caps=0x1011 level=-63 freq=2437 
wlp4s0:    skip - SSID mismatch
wlp4s0: 4: 38:90:a5:82:9b:81 ssid='KFUwireless' wpa_ie_len=28 rsn_ie_len=24 caps=0x1411 level=-68 freq=2462 
wlp4s0:    skip - SSID mismatch
wlp4s0: 5: 38:90:a5:82:9b:80 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1411 level=-69 freq=2462 
wlp4s0:    skip - blacklisted (count=2 limit=0)
wlp4s0: 6: 98:9b:cb:06:1a:be ssid='TheBodyBalance' wpa_ie_len=0 rsn_ie_len=20 caps=0x1411 level=-82 freq=2437  wps
wlp4s0:    skip - SSID mismatch
wlp4s0: 7: 38:90:a5:85:07:20 ssid='eduroam' wpa_ie_len=0 rsn_ie_len=28 caps=0x1411 level=-82 freq=2437 
wlp4s0:    selected based on RSN IE
wlp4s0:    selected BSS 38:90:a5:85:07:20 ssid='eduroam'
wlp4s0: Considering connect request: reassociate: 1  selected: 38:90:a5:85:07:20  bssid: 00:00:00:00:00:00  pending: 00:00:00:00:00:00  wpa_state: SCANNING  ssid=0x55e2c0c9ce10  current_ssid=(nil)
wlp4s0: Request association with 38:90:a5:85:07:20
wlp4s0: Re-association to the same ESS
wlp4s0: No ongoing scan/p2p-scan found to abort
wlp4s0: Add radio work 'sme-connect'@0x55e2c0cf9c50
wlp4s0: First radio work item in the queue - schedule start immediately
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
RSN: Ignored PMKID candidate without preauth flag
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (21 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 7
BSS: last_scan_res_used=21/32
wlp4s0: Starting radio work 'sme-connect'@0x55e2c0cf9c50 after 0.000201 second wait
wlp4s0: WPA: clearing own WPA/RSN IE
wlp4s0: Automatic auth_alg selection: 0x1
RSN: PMKSA cache search - network_ctx=(nil) try_opportunistic=0 akmp=0x0
RSN: Search for BSSID 38:90:a5:85:07:20
RSN: No PMKSA cache entry found
wlp4s0: RSN: using IEEE 802.11i/D9.0
wlp4s0: WPA: Selected cipher suites: group 16 pairwise 16 key_mgmt 1 proto 2
wlp4s0: WPA: clearing AP WPA IE
WPA: set AP RSN IE - hexdump(len=30): 30 1c 01 00 00 0f ac 04 01 00 00 0f ac 04 03 00 00 0f ac 01 00 40 96 00 00 0f ac 03 28 00
wlp4s0: WPA: using GTK CCMP
wlp4s0: WPA: using PTK CCMP
wlp4s0: WPA: using KEY_MGMT 802.1X
WPA: Set own WPA IE default - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
WPA: No current PMKSA - clear PMK
RRM: Determining whether RRM can be used - device support: 0x70
RRM: No RRM in network
Added supported operating classes IE - hexdump(len=19): 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
EAPOL: External notification - EAP success=0
EAPOL: External notification - EAP fail=0
EAPOL: External notification - portControl=Auto
wlp4s0: Cancelling scan request
wlp4s0: SME: Trying to authenticate with 38:90:a5:85:07:20 (SSID='eduroam' freq=2437 MHz)
EAPOL: External notification - portValid=0
wlp4s0: State: SCANNING -> AUTHENTICATING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
nl80211: Authenticate (ifindex=4)
  * bssid=38:90:a5:85:07:20
  * freq=2437
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=0): [NULL]
  * Auth Type 0
nl80211: Authentication request send successfully
nl80211: Ignored event (cmd=19) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 19 (NL80211_CMD_NEW_STATION) received for wlp4s0
nl80211: New station 38:90:a5:85:07:20
nl80211: Ignored event (cmd=37) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 37 (NL80211_CMD_AUTHENTICATE) received for wlp4s0
nl80211: Authenticate event
wlp4s0: Event AUTH (10) received
wlp4s0: SME: Authentication response: peer=38:90:a5:85:07:20 auth_type=0 auth_transaction=2 status_code=0
SME: Association Request IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
wlp4s0: Trying to associate with 38:90:a5:85:07:20 (SSID='eduroam' freq=2437 MHz)
wlp4s0: State: AUTHENTICATING -> ASSOCIATING
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
WPA: set own WPA/RSN IE - hexdump(len=22): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00
nl80211: Associate (ifindex=4)
  * bssid=38:90:a5:85:07:20
  * freq=2437
  * SSID - hexdump_ascii(len=7):
     65 64 75 72 6f 61 6d                              eduroam         
  * IEs - hexdump(len=51): 30 14 01 00 00 0f ac 04 01 00 00 0f ac 04 01 00 00 0f ac 01 00 00 7f 08 04 00 00 00 00 00 00 40 3b 11 51 51 53 54 73 74 75 76 77 78 79 7a 7b 7c 7d 7e 7f
  * WPA Versions 0x2
  * pairwise=0xfac04
  * group=0xfac04
  * akm=0xfac01
nl80211: Association request send successfully
l2_packet_receive: src=38:90:a5:85:07:20 len=50
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
wlp4s0: Not associated - Delay processing of received EAPOL frame (state=ASSOCIATING bssid=00:00:00:00:00:00)
nl80211: Ignored event (cmd=38) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 38 (NL80211_CMD_ASSOCIATE) received for wlp4s0
nl80211: Associate event
nl80211: Associated on 2437 MHz
nl80211: Associated with 38:90:a5:85:07:20
nl80211: Set drv->ssid based on scan res info to 'eduroam'
wlp4s0: Event ASSOC (0) received
wlp4s0: Association info event
resp_ies - hexdump(len=106): 01 08 16 0c 92 18 24 30 48 60 32 01 6c 2d 1a 2d 09 17 ff ff ff 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 3d 16 06 08 04 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 7f 08 00 10 08 00 00 00 00 00 5a 03 7d 00 00 dd 18 00 50 f2 02 01 01 80 00 03 a4 00 00 27 a4 00 00 42 43 5e 00 72 32 2f 00
wlp4s0: freq=2437 MHz
wlp4s0: State: ASSOCIATING -> ASSOCIATED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=1): completed iteration
wlp4s0: freq[0]: 2437, flags=0x1
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Associated to a new BSS: BSSID=38:90:a5:85:07:20
wlp4s0: Associated with 38:90:a5:85:07:20
wlp4s0: WPA: Association event - clear replay counter
wlp4s0: WPA: Clear old PTK
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
EAPOL: External notification - portEnabled=1
EAPOL: SUPP_PAE entering state CONNECTING
EAPOL: enable timer tick
EAPOL: SUPP_BE entering state IDLE
EAP: EAP entering state INITIALIZE
EAP: deinitialize previously used EAP method (25, PEAP) at INITIALIZE
ENGINE: engine deinit
EAP: EAP entering state IDLE
wlp4s0: Setting authentication timeout: 10 sec 0 usec
wlp4s0: Cancelling scan request
wlp4s0: Process pending EAPOL frame that was received just before association notification
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
wlp4s0: Setting authentication timeout: 70 sec 0 usec
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_PAE entering state RESTART
EAP: EAP entering state INITIALIZE
EAP: EAP entering state IDLE
EAPOL: SUPP_PAE entering state AUTHENTICATING
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=1 method=1 vendor=0 vendorMethod=0
EAP: EAP entering state IDENTITY
wlp4s0: CTRL-EVENT-EAP-STARTED EAP authentication started
EAP: Status notification: started (param=)
EAP: EAP-Request Identity data - hexdump_ascii(len=41):
     00 6e 65 74 77 6f 72 6b 69 64 3d 65 64 75 72 6f   _networkid=eduro
     61 6d 2c 6e 61 73 69 64 3d 57 4c 43 35 35 32 30   am,nasid=WLC5520
     2c 70 6f 72 74 69 64 3d 31                        ,portid=1       
EAP: using real identity - hexdump_ascii(len=25):
     HEX OF MY REAL NAME, I SUPPOSE                    my.name@un
     MORE HEX                                          i-graz.at             
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
WMM AC: AC mandatory: AC_BE=0 AC_BK=0 AC_VI=0 AC_VO=1
WMM AC: U-APSD queues=0x0
WMM AC: Valid WMM association, WMM AC is enabled
wlp4s0: CTRL-EVENT-SUBNET-STATUS-UPDATE status=0
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=5 linkmode=1 ifi_family=0 ifi_flags=0x11003 ([UP][LOWER_UP])
nl80211: Ignored event (cmd=46) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 46 (NL80211_CMD_CONNECT) received for wlp4s0
nl80211: Ignore connect event (cmd=46) when using userspace SME
l2_packet_receive: src=38:90:a5:85:07:20 len=46
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=2 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state GET_METHOD
wlp4s0: CTRL-EVENT-EAP-PROPOSED-METHOD vendor=0 method=25
EAP: Status notification: accept proposed method (param=PEAP)
EAP: Initialize selected EAP method: vendor 0 method 25 (PEAP)
TLS: Phase2 EAP types - hexdump(len=8): 00 00 00 00 1a 00 00 00
TLS: using phase1 config options
TLS: Trusted root certificate(s) loaded
wlp4s0: CTRL-EVENT-EAP-METHOD EAP vendor 0 method 25 (PEAP) selected
EAP: EAP entering state METHOD
SSL: Received packet(len=6) - Flags 0x20
EAP-PEAP: Start (server ver=0, own ver=1)
EAP-PEAP: Using PEAP version 0
SSL: (where=0x10 ret=0x1)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:before SSL initialization
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=22 (handshake/client hello)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in SSLv3/TLS write client hello
SSL: SSL_connect - want more data
SSL: 208 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: 208 bytes left to be sent out (of total 208 bytes)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0d0de10
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:85:07:20 len=1300
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=3 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0xc0
SSL: TLS Message Length: 5041
SSL: Need 3755 bytes more input data
SSL: Building ACK (type=25 id=3 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cfb980
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:85:07:20 len=1300
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=4 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 2465 bytes more input data
SSL: Building ACK (type=25 id=4 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cea3a0
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:85:07:20 len=1300
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=5 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1296) - Flags 0x40
SSL: Need 1175 bytes more input data
SSL: Building ACK (type=25 id=5 ver=0)
EAP: method process -> ignore=FALSE methodState=MAY_CONT decision=FAIL eapRespData=0x55e2c0cfb980
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:85:07:20 len=1185
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Request id=6 method=25 vendor=0 vendorMethod=0
EAP: EAP entering state METHOD
SSL: Received packet(len=1181) - Flags 0x00
OpenSSL: RX ver=0x0 content_type=256 (TLS header info/)
SSL: (where=0x1001 ret=0x1)
SSL: SSL_connect:SSLv3/TLS write client hello
OpenSSL: RX ver=0x303 content_type=22 (handshake/server hello)
OpenSSL: TX ver=0x0 content_type=256 (TLS header info/)
OpenSSL: TX ver=0x303 content_type=21 (alert/)
SSL: (where=0x4008 ret=0x246)
SSL: SSL3 alert: write (local SSL3 detected an error):fatal:protocol version
EAP: Status notification: local TLS alert (param=protocol version)
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in error
OpenSSL: openssl_handshake - SSL_connect error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
SSL: 7 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: Failed - tls_out available to report error (len=7)
SSL: 7 bytes left to be sent out (of total 7 bytes)
EAP-PEAP: TLS processing failed
EAP: method process -> ignore=FALSE methodState=DONE decision=FAIL eapRespData=0x55e2c0cfa380
EAP: EAP entering state SEND_RESPONSE
EAP: EAP entering state IDLE
EAPOL: SUPP_BE entering state RESPONSE
EAPOL: txSuppRsp
TX EAPOL: dst=38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
l2_packet_receive: src=38:90:a5:85:07:20 len=46
wlp4s0: RX EAPOL from 38:90:a5:85:07:20
EAPOL: Received EAP-Packet frame
EAPOL: SUPP_BE entering state REQUEST
EAPOL: getSuppRsp
EAP: EAP entering state RECEIVED
EAP: Received EAP-Failure
EAP: Status notification: completion (param=failure)
EAP: EAP entering state FAILURE
wlp4s0: CTRL-EVENT-EAP-FAILURE EAP authentication failed
EAPOL: SUPP_PAE entering state HELD
EAPOL: Supplicant port status: Unauthorized
nl80211: Set supplicant port unauthorized for 38:90:a5:85:07:20
EAPOL: SUPP_BE entering state RECEIVE
EAPOL: SUPP_BE entering state FAIL
EAPOL: SUPP_BE entering state IDLE
EAPOL authentication completed - result=FAILURE
wlp4s0: Setting authentication timeout: 2 sec 0 usec
EAPOL: startWhen --> 0
wlp4s0: Authentication with 38:90:a5:85:07:20 timed out.
Added BSSID 38:90:a5:85:07:20 into blacklist
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Request to deauthenticate - bssid=38:90:a5:85:07:20 pending_bssid=00:00:00:00:00:00 reason=3 state=ASSOCIATED
wpa_driver_nl80211_deauthenticate(addr=38:90:a5:85:07:20 reason_code=3)
wlp4s0: Event DEAUTH (11) received
wlp4s0: Deauthentication notification
wlp4s0:  * reason 3 (locally generated)
Deauthentication frame IE(s) - hexdump(len=0): [NULL]
wlp4s0: CTRL-EVENT-DISCONNECTED bssid=38:90:a5:85:07:20 reason=3 locally_generated=1
wlp4s0: CTRL-EVENT-SSID-TEMP-DISABLED id=0 ssid="eduroam" auth_failures=4 duration=77 reason=AUTH_FAILED
wlp4s0: Auto connect enabled: try to reconnect (wps=0/0 wpa_state=6)
wlp4s0: Setting scan request: 0.100000 sec
wlp4s0: Radio work 'sme-connect'@0x55e2c0cf9c50 done in 2.077908 seconds
wlp4s0: radio_work_free('sme-connect'@0x55e2c0cf9c50): num_active_works --> 0
BSSID 38:90:a5:85:07:20 blacklist count incremented to 2
wlp4s0: Blacklist count 2 --> request scan in 500 ms
wlp4s0: Ignore new scan request for 0.500000 sec since an earlier request is scheduled to trigger sooner
wlp4s0: WPA: Clear old PMK and PTK
wlp4s0: Disconnect event - remove keys
wlp4s0: State: ASSOCIATED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
WMM AC: WMM AC is disabled
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
EAPOL: External notification - portEnabled=0
EAPOL: SUPP_PAE entering state DISCONNECTED
EAPOL: Supplicant port status: Unauthorized
nl80211: Skip set_supp_port(unauthorized) while not associated
EAPOL: SUPP_BE entering state INITIALIZE
EAP: EAP entering state DISABLED
EAPOL: External notification - portValid=0
wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
wlp4s0: Ignore new scan request for 1.000000 sec since an earlier request is scheduled to trigger sooner
nl80211: Ignored event (cmd=20) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 20 (NL80211_CMD_DEL_STATION) received for wlp4s0
nl80211: Delete station 38:90:a5:85:07:20
nl80211: Ignored event (cmd=39) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 39 (NL80211_CMD_DEAUTHENTICATE) received for wlp4s0
nl80211: Deauthenticate event
nl80211: Ignore deauth event triggered due to own deauth request
nl80211: Ignored event (cmd=48) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 48 (NL80211_CMD_DISCONNECT) received for wlp4s0
nl80211: Ignore disconnect event when using userspace SME
RTM_NEWLINK: ifi_index=4 ifname=wlp4s0 operstate=2 linkmode=1 ifi_family=0 ifi_flags=0x1003 ([UP])
wlp4s0: State: DISCONNECTED -> SCANNING
wlp4s0: Determining shared radio frequencies (max len 2)
wlp4s0: Shared frequencies (len=0): completed iteration
P2P: Add operating class 81
P2P: Channels - hexdump(len=13): 01 02 03 04 05 06 07 08 09 0a 0b 0c 0d
P2P: Update channel list
P2P: channels: 81:1,2,3,4,5,6,7,8,9,10,11,12,13
P2P: cli_channels:
wlp4s0: Starting AP scan for wildcard SSID
WPS: Building WPS IE for Probe Request
WPS:  * Version (hardcoded 0x10)
WPS:  * Request Type
WPS:  * Config Methods (3108)
WPS:  * UUID-E
WPS:  * Primary Device Type
WPS:  * RF Bands (3)
WPS:  * Association State
WPS:  * Configuration Error (0)
WPS:  * Device Password ID (0)
WPS:  * Manufacturer
WPS:  * Model Name
WPS:  * Model Number
WPS:  * Device Name
WPS:  * Version2 (0x20)
P2P: * P2P IE header
P2P: * Capability dev=25 group=00
P2P: * Listen Channel: Regulatory Class 81 Channel 1
wlp4s0: Add radio work 'scan'@0x55e2c0cdba20
wlp4s0: First radio work item in the queue - schedule start immediately
wlp4s0: Starting radio work 'scan'@0x55e2c0cdba20 after 0.000014 second wait
wlp4s0: nl80211: scan request
Scan requested (ret=0) - scan timeout 30 seconds
nl80211: Ignored event (cmd=33) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 33 (NL80211_CMD_TRIGGER_SCAN) received for wlp4s0
wlp4s0: nl80211: Scan trigger
wlp4s0: Event SCAN_STARTED (46) received
wlp4s0: Own scan request started a scan in 0.000038 seconds
nl80211: Ignored event (cmd=34) for foreign interface (ifindex 4 wdev 0x0)
nl80211: Drv Event 34 (NL80211_CMD_NEW_SCAN_RESULTS) received for wlp4s0
wlp4s0: nl80211: New scan results available
nl80211: Scan probed for SSID ''
nl80211: Scan included frequencies: 2412 2417 2422 2427 2432 2437 2442 2447 2452 2457 2462 2467 2472 5180 5200 5220 5240 5260 5280 5300 5320 5500 5520 5540 5560 5580 5600 5620 5640 5660 5680 5700 5720 5745 5765 5785 5805 5825
wlp4s0: Event SCAN_RESULTS (3) received
wlp4s0: Scan completed in 0.834795 seconds
nl80211: Received scan results (26 BSSes)
wlp4s0: BSS: Start scan result update 8
wlp4s0: BSS: Remove id 20 BSSID d4:28:d5:17:17:5e SSID 'HH40V_175E' due to no match in scan
wlp4s0: BSS: Remove id 22 BSSID d0:03:4b:d6:cb:04 SSID 'Martin-T haare \xc2\xa7' due to no match in scan
wlp4s0: BSS: Remove id 28 BSSID 58:97:bd:cd:ae:8d SSID 'UNIGRAZguest' due to no match in scan
BSS: last_scan_res_used=26/32
wlp4s0: New scan results available (own=1 ext=0)
WPS: AP fc:2d:5e:a9:61:ee type 0 added
WPS: AP 98:9b:cb:06:1a:be type 0 added
WPS: AP 98:9b:cb:b2:0c:43 type 0 added
WPS: AP[0] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
wlp4s0: Radio work 'scan'@0x55e2c0cdba20 done in 0.836093 seconds
wlp4s0: radio_work_free('scan'@0x55e2c0cdba20): num_active_works --> 0
wlp4s0: Postpone network selection by 77 seconds since all networks are disabled
p2p-dev-wlp4s0: Updating scan results from sibling
nl80211: Received scan results (26 BSSes)
p2p-dev-wlp4s0: BSS: Start scan result update 8
p2p-dev-wlp4s0: BSS: Remove id 20 BSSID d4:28:d5:17:17:5e SSID 'HH40V_175E' due to no match in scan
p2p-dev-wlp4s0: BSS: Remove id 22 BSSID d0:03:4b:d6:cb:04 SSID 'Martin-T haare \xc2\xa7' due to no match in scan
p2p-dev-wlp4s0: BSS: Remove id 28 BSSID 58:97:bd:cd:ae:8d SSID 'UNIGRAZguest' due to no match in scan
BSS: last_scan_res_used=26/32
p2p-dev-wlp4s0: New scan results available (own=0 ext=0)
WPS: AP[0] 98:9b:cb:06:1a:be type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[1] fc:2d:5e:a9:61:ee type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[2] d4:28:d5:17:17:5e type=0 tries=0 last_attempt=-1 sec ago blacklist=0
WPS: AP[3] 98:9b:cb:b2:0c:43 type=0 tries=0 last_attempt=-1 sec ago blacklist=0
EAPOL: disable timer tick
p2p-dev-wlp4s0: Removing interface p2p-dev-wlp4s0
p2p-dev-wlp4s0: Request to deauthenticate - bssid=00:00:00:00:00:00 pending_bssid=00:00:00:00:00:00 reason=3 state=DISCONNECTED
p2p-dev-wlp4s0: State: DISCONNECTED -> DISCONNECTED
nl80211: Set p2p-dev-wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=0 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
p2p-dev-wlp4s0: WPA: Clear old PMK and PTK
p2p-dev-wlp4s0: BSS: Remove id 2 BSSID 00:ea:bd:99:53:4f SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 3 BSSID 00:ea:bd:99:53:4e SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 0 BSSID 00:ea:bd:99:53:40 SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 1 BSSID 00:ea:bd:99:53:41 SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 4 BSSID 38:90:a5:82:9b:80 SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 5 BSSID 38:90:a5:82:9b:81 SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 18 BSSID 58:97:bd:cd:ae:81 SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 8 BSSID 58:97:bd:cd:ae:80 SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 6 BSSID 58:97:bd:cd:ae:8e SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 7 BSSID 58:97:bd:cd:ae:8f SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 9 BSSID 38:90:a5:85:07:21 SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 10 BSSID 38:90:a5:85:07:20 SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 26 BSSID 38:90:a5:82:9b:8f SSID 'eduroam' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 19 BSSID fc:2d:5e:a9:61:ee SSID '3Tube_2.4Ghz_61EE' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 11 BSSID 98:9b:cb:06:1a:be SSID 'TheBodyBalance' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 25 BSSID 38:90:a5:82:9b:8e SSID 'KFUwireless' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 12 BSSID 98:9b:cb:b2:0c:43 SSID 'FRITZ!Box 7582 WH' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 21 BSSID 62:e3:27:4a:ac:9f SSID 'orderbird POS Chu' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 23 BSSID 60:e3:27:4a:ac:9f SSID '' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 14 BSSID 00:ea:bd:99:53:4d SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 13 BSSID 00:ea:bd:99:53:42 SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 15 BSSID 38:90:a5:82:9b:82 SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 17 BSSID 38:90:a5:85:07:22 SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 27 BSSID 38:90:a5:82:9b:8d SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 16 BSSID 58:97:bd:cd:ae:82 SSID 'UNIGRAZguest' due to wpa_bss_flush
p2p-dev-wlp4s0: BSS: Remove id 24 BSSID 66:e3:27:4a:ac:9f SSID 'Churchill Bar Free' due to wpa_bss_flush
p2p-dev-wlp4s0: Cancelling delayed sched scan
p2p-dev-wlp4s0: Cancelling scan request
p2p-dev-wlp4s0: Cancelling authentication timeout
Off-channel: Clear pending Action frame TX (pending_action_tx=(nil)
p2p-dev-wlp4s0: P2P: Disable P2P since removing the management interface is being removed
P2P: All ASP advertisements flushed
P2P: Disabling Extended Listen Timing
P2P: Stopping find
P2P: Clear timeout (state=IDLE)
P2P: State IDLE -> IDLE
P2P: All ASP advertisements flushed
Remove interface p2p-dev-wlp4s0 from radio phy0
nl80211: deinit ifname=p2p-dev-wlp4s0 disabled_11b_rates=0
nl80211: Remove monitor interface: refcount=0
netlink: Operstate: ifindex=0 linkmode=0 (kernel-control), operstate=6 (IF_OPER_UP)
nl80211: Stop P2P Device p2p-dev-wlp4s0 (0x14): Success
nl80211: Unsubscribe mgmt frames handle 0x8888dd6a48458cc9 (deinit)
nl80211: Delete P2P Device p2p-dev-wlp4s0 (0x14): Success
p2p-dev-wlp4s0: CTRL-EVENT-TERMINATING 
Control interface directory not empty - leaving it behind
wlp4s0: Removing interface wlp4s0
wlp4s0: Request to deauthenticate - bssid=00:00:00:00:00:00 pending_bssid=00:00:00:00:00:00 reason=3 state=SCANNING
wlp4s0: State: SCANNING -> DISCONNECTED
nl80211: Set wlp4s0 operstate 0->0 (DORMANT)
netlink: Operstate: ifindex=4 linkmode=-1 (no change), operstate=5 (IF_OPER_DORMANT)
EAPOL: External notification - portEnabled=0
EAPOL: External notification - portValid=0
EAP: deinitialize previously used EAP method (25, PEAP) at EAP deinit
ENGINE: engine deinit
wlp4s0: WPA: Clear old PMK and PTK
Removed BSSID 38:90:a5:85:07:20 from blacklist (clear)
Removed BSSID 38:90:a5:82:9b:80 from blacklist (clear)
Removed BSSID 00:ea:bd:99:53:4f from blacklist (clear)
Removed BSSID 00:ea:bd:99:53:40 from blacklist (clear)
wlp4s0: BSS: Remove id 2 BSSID 00:ea:bd:99:53:4f SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 3 BSSID 00:ea:bd:99:53:4e SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 0 BSSID 00:ea:bd:99:53:40 SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 1 BSSID 00:ea:bd:99:53:41 SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 4 BSSID 38:90:a5:82:9b:80 SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 5 BSSID 38:90:a5:82:9b:81 SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 18 BSSID 58:97:bd:cd:ae:81 SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 8 BSSID 58:97:bd:cd:ae:80 SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 6 BSSID 58:97:bd:cd:ae:8e SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 7 BSSID 58:97:bd:cd:ae:8f SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 9 BSSID 38:90:a5:85:07:21 SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 10 BSSID 38:90:a5:85:07:20 SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 26 BSSID 38:90:a5:82:9b:8f SSID 'eduroam' due to wpa_bss_flush
wlp4s0: BSS: Remove id 19 BSSID fc:2d:5e:a9:61:ee SSID '3Tube_2.4Ghz_61EE' due to wpa_bss_flush
wlp4s0: BSS: Remove id 11 BSSID 98:9b:cb:06:1a:be SSID 'TheBodyBalance' due to wpa_bss_flush
wlp4s0: BSS: Remove id 25 BSSID 38:90:a5:82:9b:8e SSID 'KFUwireless' due to wpa_bss_flush
wlp4s0: BSS: Remove id 12 BSSID 98:9b:cb:b2:0c:43 SSID 'FRITZ!Box 7582 WH' due to wpa_bss_flush
wlp4s0: BSS: Remove id 21 BSSID 62:e3:27:4a:ac:9f SSID 'orderbird POS Chu' due to wpa_bss_flush
wlp4s0: BSS: Remove id 23 BSSID 60:e3:27:4a:ac:9f SSID '' due to wpa_bss_flush
wlp4s0: BSS: Remove id 14 BSSID 00:ea:bd:99:53:4d SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 13 BSSID 00:ea:bd:99:53:42 SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 15 BSSID 38:90:a5:82:9b:82 SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 17 BSSID 38:90:a5:85:07:22 SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 27 BSSID 38:90:a5:82:9b:8d SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 16 BSSID 58:97:bd:cd:ae:82 SSID 'UNIGRAZguest' due to wpa_bss_flush
wlp4s0: BSS: Remove id 24 BSSID 66:e3:27:4a:ac:9f SSID 'Churchill Bar Free' due to wpa_bss_flush
wlp4s0: Cancelling delayed sched scan
wlp4s0: Cancelling scan request
wlp4s0: Cancelling authentication timeout
Off-channel: Clear pending Action frame TX (pending_action_tx=(nil)
Remove interface wlp4s0 from radio phy0
Remove radio phy0
nl80211: deinit ifname=wlp4s0 disabled_11b_rates=0
nl80211: Remove monitor interface: refcount=0
netlink: Operstate: ifindex=4 linkmode=0 (kernel-control), operstate=6 (IF_OPER_UP)
nl80211: Set mode ifindex 4 iftype 2 (STATION)
nl80211: Unsubscribe mgmt frames handle 0x8888dd6a484140e9 (mode change)
wlp4s0: CTRL-EVENT-TERMINATING 
log_redacted.txt (122,881 bytes)
wpa_supplicant.conf (270 bytes)
500

500

2020-02-02 09:59

reporter   ~0036177

Regarding
>Also I may confirm that TLS tunnel on EAP-TTLS/PAP scenario work correctly without checking server certificate which is unsecure way of authentication on eduroam, but confirm that TLS tunnel work correctly.
The suggested way to connect to eduroam on my uni used indeed to suggest to click on "no certificate needed" or something, in the networkmanager GUI, but that I tried first and it also does not work. Now they also suggest using the CAT installer, but as said in the first, I don't have success with that tool either.
sw

sw

2020-02-02 10:33

reporter   ~0036178

Thanks for those logs! That was very helpful. CentOS 8 has discontinued various known-broken crpytographic protocols. Among those is by default disabling TLS versions 1.0 and 1.1. I.e. your CentOS client will only connect to servers supporting TLS 1.2 or TLS 1.3. This is not only true for eduroam, it is for every TLS connection on the system and controlled with a system-wide command.

You see that this version incompatibility is the problem with these log snippets:

SSL: SSL3 alert: write (local SSL3 detected an error):fatal:protocol version
EAP: Status notification: local TLS alert (param=protocol version)
SSL: (where=0x1002 ret=0xffffffff)
SSL: SSL_connect:error in error
OpenSSL: openssl_handshake - SSL_connect error:1425F102:SSL routines:ssl_choose_client_version:unsupported protocol
SSL: 7 bytes pending from ssl_out
SSL: Using TLS version TLSv1.2
SSL: Failed - tls_out available to report error (len=7)
SSL: 7 bytes left to be sent out (of total 7 bytes)
EAP-PEAP: TLS processing failed

Your client insists on TLS 1.2, but the server says that the client wanted an unsupported version.

The obviously best solution is to ask your eduroam IdP server operator at Uni Gratz to update their server to one which supports TLS 1.2. TBH, every contemporary Linux distribution and even all supported Windows versions support TLS 1.2.

The less preferable option is to downgrade your own client to accept TLS 1.0. You could do that using the command "update-crypto-policies". With that, you are weakening your client system. Don't do that unless you see no other option, where "option" includes "nag local IT until they get it done on their server".

In any case: this does NOT seem to be a CentOS bug. Please verify that downgrading the crypto policies "fixes" the issue and come back here to confirm that this bug can be fixed as invalid.

(NB: this bug report has siblings for other protocols, like this one here for SMTP(s) connections: https://bugs.centos.org/view.php?id=16484)
500

500

2020-02-02 11:37

reporter   ~0036179

Thanks for going through the logs!

>The obviously best solution is to ask your eduroam IdP server operator at Uni Gratz to update their server to one which supports TLS 1.2. TBH, every contemporary Linux distribution and even all supported Windows versions support TLS 1.2.
I will forward this to them and see what they say.

>The less preferable option is to downgrade your own client to accept TLS 1.0. You could do that using the command "update-crypto-policies". With that, you are weakening your client system. Don't do that unless you see no other option
Lets see. Funny that I'd have to downgrade using an "update" command. I hope I won't have to do that, but I keep that in mind.

>In any case: this does NOT seem to be a CentOS bug. Please verify that downgrading the crypto policies "fixes" the issue and come back here to confirm that this bug can be fixed as invalid.
I'll see what I can do (see above). Though it might take a few days.
Reason I deemed this a bug is that it works in more "modern" distros. We tried with ubuntu at the IT department, and that just worked, but I doubt that they downgraded to TLS1.0 by default, so I suppose there could still be more to that. But I'll try the above suggestions first.
sw

sw

2020-02-02 13:35

reporter   ~0036180

CentOS is indeed the first distribution to stick out their heads and actively prohibit TLS 1.0. Depending on who you ask, people either find this a good move or a terrible, because too avantgardistic one. Ubuntu probably prefers CentOS 8 to take all the hits for that decision and follow in a later version themselves :-)

And yes, the "update..." should better have been called "change...". You can open a bug about the naming of course ;-)
500

500

2020-02-04 09:38

reporter   ~0036192

Thanks for the support!
I reported this to my IT department and they're already on their way to upgrade their radius servers, but this process will take a while. For now, this is "fixed" with "update-crypto-policies --set LEGACY".
Would have been helpful if network manager had been a bit more verbose, but I guess that's a gnome issue, and a feature request for more verbosity is probably going to be as successful as asking for thumbnails in a file picker…
500

500

2020-02-04 09:40

reporter   ~0036193

Oh, forgot to add:
This can be marked fixed/invalid!
ilmaisin

ilmaisin

2020-02-10 11:35

reporter   ~0036243

I have a similar problem, except that "update-crypto-policies --set LEGACY" does not help. My organization is Turku University of Applied Sciences.

This is a very bad move. Causing difficult-to-troubleshoot problems to mere students does not help to make the IT department to be any less incompentent. It seems that I cannot use CentOS anymore.
ilmaisin

ilmaisin

2020-02-10 11:43

reporter   ~0036244

To correct my last comment, the update-crypto-policies thing actually worked after I reinstalled the network with the script. I probably changed something about the settings when troubleshooting the problem. The rest of the comment still appiles: the IT department is what it is and I cannot change it.
dpenezic

dpenezic

2020-02-10 11:46

reporter   ~0036245

Hi all,
issue with eduroam and CentOS 8 mostly are connected with we fact :
* TLS 1.0 and TLS 1.1 are not supported by default
* CA root certificate must have at least 2048 key length
In all case it is issue for IdP provider, not client/user issue, you need to ask local IdP administrator, to made change on IdP configuration.
It is not bug in CentOS 8,

Issue History

Date Modified Username Field Change
2020-01-28 15:13 500 New Issue
2020-02-01 08:54 dpenezic Note Added: 0036173
2020-02-02 07:35 sw Note Added: 0036175
2020-02-02 09:53 500 File Added: log_redacted.txt
2020-02-02 09:53 500 File Added: wpa_supplicant.conf
2020-02-02 09:53 500 Note Added: 0036176
2020-02-02 09:59 500 Note Added: 0036177
2020-02-02 10:33 sw Note Added: 0036178
2020-02-02 11:37 500 Note Added: 0036179
2020-02-02 13:35 sw Note Added: 0036180
2020-02-04 09:38 500 Note Added: 0036192
2020-02-04 09:40 500 Note Added: 0036193
2020-02-10 11:35 ilmaisin Note Added: 0036243
2020-02-10 11:43 ilmaisin Note Added: 0036244
2020-02-10 11:46 dpenezic Note Added: 0036245